<?php

use frontend\widgets\Seo;
use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

$this->title = 'Ошибка '.$code;

$this->params[ 'seo' ][ Seo::TITLE] = $this->title = 'Ошибка '.$code;

?>
﻿
<style>
    .img-404 {
        width: 100%;
        height: 127px;
        text-align: center;
        font-size: 165px;
        color: #0f6fc7;
        font-weight: bold;
        margin-top: 80px;
    }

    .img-404 img {
        width: 289px;
        height: 127px;
    }
    .text-404-wr {
        margin-top: 43px;
    }
    .text-404-wr, .text-404-wr2 {
        width: 100%;
    }
    .text-404-wr p {
        font-size: 16px;
        width: 576px;
        margin: 0 auto;
        line-height: 20px;
        color: #222222;
        box-sizing: border-box;
        padding-left: 9px;
    }
    .text-404-wr2 {
        margin-top: 20px;
    }
    .text-404-wr2 p {
        font-size: 13px;
        width: 576px;
        margin: 0 auto;
        line-height: 16px;
        color: #7d7d7d;
        box-sizing: border-box;
        padding-left: 9px;
    }
    .button-home-404-wr {
        width: 100%;
        margin: 39px 0 174px 0;
    }
    .button-home-404 {
        width: 576px;
        margin: 0 auto;
    }
    .button-home-404 a {
        float: right;
        margin-right: 24px;
        width: 180px;
        height: 38px;
        background: #0f6fc7;
        border-bottom: 3px solid #075fb0;
        box-sizing: border-box;
        text-align: center;
        text-transform: uppercase;
        text-decoration: none;
        font-size: 12px;
        line-height: 41px;
        display: block;
        color: #fff !important;
        border-radius: 4px;
    }
    .button-home-404 a:hover {
        border-bottom: 3px solid #0f6fc7;
    }
    .button-home-404 a:active {
        background: #0f6fc7;
        border-bottom: 3px solid #075fb0;
    }
</style>

<div class="site-error">
    <div class="img-404">404!</div>
    <div class="text-404-wr">
        <p>Добро пожаловать на страницу 404!<br />
            Вы находитесь здесь, потому что ввели адрес страницы,<br />
            которая уже не существует или была перемещена по другому адресу</p>
    </div>

    <div class="text-404-wr2">
        <p>… Возможно, запрашиваемая Вами страница была перенесена или удалена.<br />
            Также возможно, Вы допустили небольшую опечатку при вводе адреса – такое случается даже с нами, поэтому еще раз внимательно проверьте</p>
    </div>

    <div class="button-home-404-wr">
        <div class="button-home-404">
            <a href="/">перейти на главную</a>
        </div>
    </div>

</div>