<?php
/**
 * @var $product  common\modules\product\models\Product
 */
use yii\helpers\Html;
use yii\helpers\Url;
?>
<div class="catalog_item home_slider_it">
    <div class="wrapper">
        <div class="status_block-wr <?=$class?>">
            <?php
                if($class == 'top'){
                   print '<div class="staus_hit"></div>';
                } else if($class == 'new') {
                    print '<div class="staus_new"></div>';
                } else if($class == 'promo'){
                    print '<div class="status_sale">Акция</div>';
                }
            ?>


        </div>
        <div class="item_container" >
            <input class="prodInfo" type="hidden" value="[]">

            <div class="img">
                <a class="btn-product-details" href="<?= Url::to([
                    'catalog/product',
                    'product' => $product->alias
                ]) ?>">
                    <?= \common\components\artboximage\ArtboxImageHelper::getImage($product->enabledVariants[ 0 ]->imageUrl, 'list', [
                        'alt'   => $product->fullname . ' ' . $product->category->name,
                        'title' => $product->fullname . ' ' . $product->category->name,
                        'class' => 'selected'
                    ]) ?>
                </a>
            </div>

            <div class="style short-desc_wr">
                <div class="style title-name_">
                    <a href="<?= Url::to([
                        'catalog/product',
                        'product' => $product->alias
                    ]) ?>" title="<?= $product->fullname . ' ' . $product->category->name ?>">
                        <p><span><?= $product->fullname ?></span></p>
                        <p><span><?= $product->category->name ?></span></p>
                    </a>

                </div>
                <div class="style in_stock_wr">
                    <div class="in_stock_">
                        <span class="yes_stock">есть на складе</span>

                    </div>
                    <div class="title-sku">
                        <span>Код: <?=$product->variant->sku?></span>
                    </div>
                </div>

                <div class="style price-basket-wr">
                    <span class="currency_price"><?= $product->variant->price ?> грн</span>
<!--                    <div class="price-basket"><a class="" href="#"></a></div>-->
                </div>
            </div>



        </div>
    </div>
</div>