<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace frontend\assets;

use yii\web\AssetBundle;
use yii\web\View;
/**
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        'css/css_header.css',
        'css/comments.css',
        'http://fonts.googleapis.com/css?family=Roboto:400,300,700&subset=latin,cyrillic-ext',
    ];
    public $js = [

        '/js/artbox_basket.js',
        'js/script.js',
        'js/new_script.js',
    ];
    public $depends = [
        'yii\web\JqueryAsset',
        'sersid\owlcarousel\Asset',
        'yii\bootstrap\BootstrapPluginAsset',

    ];

    public $jsOptions = [
        'position' =>  View::POS_END
    ];


}
