<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class FlipclockAsset extends AssetBundle
{
    public $sourcePath = '@bower';
    public $css = [
        'flipclock/compiled/flipclock.css'
    ];
    public $js = [
        'flipclock/compiled/flipclock.min.js'
    ];
    public $jsOptions = array(
        'position' => \yii\web\View::POS_END
    );

    public $depends = [
        'yii\web\JqueryAsset'

    ];
}
