<?php
/**
 * @var $productProvider \yii\data\ActiveDataProvider
 * @var View $this
 */
use frontend\widgets\FilterWidget;
use frontend\widgets\Seo;
use yii\helpers\Url;
use yii\web\View;
use yii\widgets\ListView;

$this->params['seo']['title'] = !empty($brand->meta_title) ? $brand->meta_title : '';

$this->params['seo']['fields']['name'] = $brand->name;
$this->params['seo']['h1'] = !empty($brand->h1) ? $brand->h1 : $brand->name;
$this->params['seo']['seo_text'] = $brand->seo_text;
$this->params['seo']['description'] = $brand->meta_desc;
$this->params['seo']['meta'] = $brand->meta_robots;
$this->params['seo']['category_name'] = $brand->name;

$this->params['breadcrumbs'][] = $brand->name;
?>
<!-- Табы для слайдера -->
<div class="container">
    <div class="block-25" style="position: relative;">


        <div class="columnLeftInfo">

        </div>


        <br/>


    </div>
    <div class="block-75" itemscope itemtype="http://schema.org/Product">


        <script>


        </script>


        <h1 class="title"><?= Seo::widget(['row' => 'h1']) ?></h1>


        <div class="list_filters_links">
            <div class="sort_block">
                <span>Сортировка:</span>
                <?= \yii\widgets\LinkSorter::widget([
                    'sort' => $productProvider->sort,
                    'attributes' => [
                        'price',
                    ]
                ]);
                ?>
            </div>
            <div class="clearfix"></div>
        </div>


        <div class="clearfix"></div>


        <div class="catalog_product_list view_table">


            <?php
            echo ListView::widget([
                'dataProvider' => $productProvider,
                'itemView' => function ($model, $key, $index, $widget) {
                    return $this->render('_product_item', [
                        'model' => $model,
                        'category' => $model->category
                    ]);
                },
                'layout' => "{items}<div class=\"clearfix\"></div>{pager}",
            ])

            ?>


            <div class="clearfix"></div>
        </div>

        <br>


        <div class="clearfix"></div>


        <div class="clearfix"></div>


    </div>
</div>


