<?php

use frontend\widgets\Seo;
use yii\helpers\Html;
use yii\helpers\Url;
use common\models\Basket;
use common\modules\product\models\ProductVariant;
use yii\web\View;
$this->title = "Корзина";
$this->params[ 'seo' ][ Seo::H1] =  $this->title ;
$this->params[ 'seo' ][ Seo::TITLE] = $this->title;
/**
 * @var View             $this
 * @var ProductVariant[] $models
 * @var Basket           $basket
 */
?>
<?php if ($flash = Yii::$app->session->getFlash ('success')): ?>
    <div class="alert-success"><?= $flash ?></div>
<?php endif; ?>
<?php if ($flash = Yii::$app->session->getFlash ('error')): ?>
    <div class="alert-error"><?= $flash ?></div>
<?php endif; ?>
<div class="container">

    <h1>Корзина</h1>

</div>
<div class="block-100">

    <div class="container">

        <div class="block-25">
            <div class="catalogueLeft orderLeftPanel">


                <div class="columnLeftInfo">
                    <!-- del_columnLeftInfo -->

                    <!-- del_columnLeftInfo_end -->
                </div>


            </div>
        </div>

        <div class="block-75">

            <div class="ordering_tbl">


                    <div id="ordersFrom"  class="orderBox">

                        <?= $this->render('_order_form',[
                            'models'=>$models,
                            'basket'=>$basket
                        ])?>

                    </div>

            </div>

        </div>
    </div>
</div>